<?php

declare(strict_types=1);

namespace DoctrineMigrations;

use Doctrine\DBAL\Schema\Schema;
use Doctrine\Migrations\AbstractMigration;

final class Version20260426200910 extends AbstractMigration
{
    public function getDescription(): string
    {
        return 'Add favicon path to schools';
    }

    public function up(Schema $schema): void
    {
        $this->addSql('ALTER TABLE ecoles ADD favicon VARCHAR(255) DEFAULT NULL');
    }

    public function down(Schema $schema): void
    {
        $this->addSql('ALTER TABLE ecoles DROP favicon');
    }
}
